Subject: Re: [BUG] RTNL and flush_scheduled_work deadlocks

From: Ben Greear <[email-masked]>
Date: Thu, 15 Feb 2007 10:58:13 -0800

Francois Romieu wrote:
> Ben Greear <[email-masked]> :
> [...]
>> I seem to be able to trigger this within about 1 minute on a
>> particular 2.6.18.2 system with some 8139too devices, so if someone
>> has a patch that could be tested, I'll gladly test it.  For
>> whatever reason, I haven't hit this problem on 2.6.20 yet, but
>> that could easily be dumb luck, and I haven't been running .20
>> very much.
> 
> Bandaid below. It is not complete if your device hits the tx_watchdog
> hard but it should help.

So far, I've been running several hours without problems, so
this does appear to be helping.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com